Bug 88672 - can't use rh9's grub to boot rh73 or rh80
Summary: can't use rh9's grub to boot rh73 or rh80
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-11 19:04 UTC by Rex Dieter
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 13:12:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2003-04-11 19:04:52 UTC
I've installed rh9 on a box of mine that had previously happily dual booted rh73 and 
rh80.  After installing rh9 and adding the appropriate entries to /etc/grub.conf for 
rh73 and rh80, I can no longer boot into these older OS's, with grub giving an error: 
Invalid executable type. 
 
Some details: all 3 redhat's share a common /boot partition, with grub being installed 
to the boot sector of this partition. 
 
I'll go try re-installing rh80's version of grub to the boot sector, and see if that 
helps...

Comment 1 Jeremy Katz 2003-04-23 01:56:40 UTC
Can you attach your grub.conf as well as the output of running file on each of
the other kernels you're trying to boot?

Comment 2 Rex Dieter 2003-04-23 13:12:42 UTC
Forget it, my bad.  Multiple stupid typos in grub.conf  (after staring at it for 20-30 
minutes) made some boot images not work. 


Note You need to log in before you can comment on or make changes to this bug.